AMD 7870 2GB memory issue with GPU compute
Closed, ResolvedPublic

Description

Win10, Crimson 17.2.1, AMD 7870 2GB, blender-2.78-f49e28b-win64

Steps taken:

  1. Render scene

  1. open Vieport shading Rendered
  2. Render scene again

I have tested with previous drivers. I haven't test split kernel branch.

OpenCL error occurs after I open Vieport shading Rendered . Also, I don't understand why 2GB GPU memory is not enough on second time to render a cube on 512*512 tile size. Before in 2.76 I didn't have similar issues. Why is 2GB memory insufficient ?

Also, I have noticed that Blender is waiting render kernels to load twice: first when rendering the scene, second when opening Vieport shading Rendered .

Details

Type
Bug
Tom (vejn) edited the task description. (Show Details)Feb 24 2017, 3:37 PM
Tom (vejn) edited the task description. (Show Details)Feb 24 2017, 3:45 PM

I have same with R9 280X 3GB VRam

Tom (vejn) added a comment.EditedMar 13 2017, 2:10 PM

I don't know if I should open new report for this but I can't render anything with GPU.

Instant crash whatever I render. Even default scene.

@Bastien Montagne (mont29) @Mai Lavelle (maiself)

Aaron Carlisle (Blendify) lowered the priority of this task from "Normal" to "Incomplete".Apr 17 2017, 4:39 AM

Please try with a recent build from builder.blender.org/download

Tom (vejn) added a comment.EditedApr 21 2017, 7:03 PM

Loading kernels takes long. Sun lamp with white color and strenght set to 2 is yellow. How can this be?

Latest Blender version and latest AMD drivers on Win10.


Aaron Carlisle (Blendify) raised the priority of this task from "Incomplete" to "Normal".Apr 21 2017, 8:57 PM
Mai Lavelle (maiself) lowered the priority of this task from "Normal" to "Incomplete".Apr 21 2017, 9:31 PM

@Tom (vejn) Please open new reports for new issues, putting different issues into the same report is quite confusing.

Is the original issue fixed in latest master?

Yes, you can close this thread becasue original issue is fixed. I will open new thread.

Tom (vejn) closed this task as "Resolved".Apr 22 2017, 1:17 AM

How was this issue fixed? I'm still getting the same issue with the RC1.